### Class

# PangoXft Renderer

#### Description [src]

    class PangoXft.Renderer : Pango.Renderer {
      /* No available fields */
    }

`PangoXftRenderer` is a subclass of `PangoRenderer` used for rendering with Pango’s Xft backend. It can be used directly, or it can be further subclassed to modify exactly how drawing of individual elements occurs.

Available since: | 1.8

#### Ancestors

- PangoRenderer
- GObject

#### Constructors

###### pango_xft_renderer_new

Create a new `PangoXftRenderer` to allow rendering Pango objects with the Xft library.

Available since: 1.8

#### Instance methods

###### pango_xft_renderer_set_default_color

Sets the default foreground color for a XftRenderer.

Available since: 1.8

###### pango_xft_renderer_set_draw

Sets the XftDraw object that the renderer is drawing to. The renderer must not be currently active.

Available since: 1.8

#### Properties

###### PangoXft.Renderer:display

No description available.

###### PangoXft.Renderer:screen

No description available.

#### Class structure

    struct PangoXftRendererClass {
      void (* composite_trapezoids) (
        PangoXftRenderer* xftrenderer,
        PangoRenderPart part,
        XTrapezoid* trapezoids,
        int n_trapezoids
      );
      void (* composite_glyphs) (
        PangoXftRenderer* xftrenderer,
        XftFont* xft_font,
        XftGlyphSpec* glyphs,
        int n_glyphs
      );

    }

###### Class members

`composite_trapezoids` |
    void (* composite_trapezoids) (
        PangoXftRenderer* xftrenderer,
        PangoRenderPart part,
        XTrapezoid* trapezoids,
        int n_trapezoids
      )
| No description available.
`composite_glyphs` |
    void (* composite_glyphs) (
        PangoXftRenderer* xftrenderer,
        XftFont* xft_font,
        XftGlyphSpec* glyphs,
        int n_glyphs
      )
| No description available.

#### Virtual methods

###### PangoXft.RendererClass.composite_glyphs

No description available.

###### PangoXft.RendererClass.composite_trapezoids

No description available.